Arduino

Reference Language | Libraries | Comparison | Changes

TFTLibrary > TFT

## begin

#### Description

Must be called to initialize the Arduino GLCD screen before drawing anything.

#### Syntax

screen.begin()

#### Parameters

none

#### Returns

none

#### Example

#include <SPI.h>
#include <TFT.h> // Arduino LCD library
#define cs 10
#define dc 9
#define rst 8
TFT screen = TFT(cs, dc, rst);
void setup() {
// initialize the screen
screen.begin();
// make the background white
screen.background(255,255,255);
}
void loop() {
}
[Get Code]

#### See also

- TFT
- EsploraTFT

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers